Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.scheduling
Class ReportJobBeanTraslator

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.scheduling.ReportJobBeanTraslator

    public class ReportJobBeanTraslator

extends java.lang.Object

Version:
  $Id: ReportJobBeanTraslator.java 10046 2007-09-13 15:06:16Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `CONSTANT_CALENDAR_DAYS_TYPE`
`static java.lang.String` | `CONSTANT_INTERVAL_UNIT`
`static java.lang.String` | `CONSTANT_OUTPUT_FORMAT`
`static java.lang.String` | `CONSTANT_RESULT_SEND_TYPE`
`static java.lang.String` | `CONSTANT_RUNTIME_JOB_STATE`

Constructor Summary
`ReportJobBeanTraslator()`

Method Summary
`void` | `copy(ReportJob reportJob, Job job)`
`protected void` | `copyBaseTrigger(JobTrigger trigger, ReportJobTrigger reportTrigger)`
`protected void` | `copyBaseTrigger(ReportJobTrigger reportTrigger, JobTrigger trigger)`
`protected void` | `copyCalendarTrigger(Job job, ReportJobCalendarTrigger reportTrigger)`
`protected void` | `copyCalendarTrigger(ReportJob reportJob, JobCalendarTrigger trigger)`
`protected void` | `copyMailNotification(Job job, ReportJob reportJob)`
`protected void` | `copyMailNotification(ReportJob reportJob, Job job)`
`protected void` | `copyOutputFormats(Job job, ReportJob reportJob)`
`protected void` | `copyOutputFormats(ReportJob reportJob, Job job)`
`protected void` | `copyParameters(Job job, ReportJob reportJob)`
`protected void` | `copyParameters(ReportJob reportJob, Job job)`
`protected void` | `copyRepositoryDestination(Job job, ReportJob reportJob)`
`protected void` | `copyRepositoryDestination(ReportJob reportJob, Job job)`
`protected void` | `copySimpleTrigger(Job job, ReportJobSimpleTrigger reportTrigger)`
`protected void` | `copySimpleTrigger(ReportJob reportJob, JobSimpleTrigger trigger)`
`protected void` | `copyTrigger(Job job, ReportJob reportJob)`
`protected void` | `copyTrigger(ReportJob reportJob, Job job)`
`protected net.sf.jasperreports.engine.JRParameter` | `findParameter(net.sf.jasperreports.engine.JasperReport jasperReport, java.lang.String paramName)`
`java.util.Map` | `getConstantMappings()`
`EngineService` | `getEngine()`
`protected net.sf.jasperreports.engine.JasperReport` | `getJobReport(Job job)`
`TimeZonesList` | `getTimezones()`
`void` | `setConstantMappings(java.util.Map constantMappings)`
`void` | `setEngine(EngineService engine)`
`void` | `setTimezones(TimeZonesList timezones)`
`protected java.util.SortedSet` | `toByteSet(int[] values)`
`protected java.util.Calendar` | `toCalendar(java.util.Date date)`
`protected java.lang.Object` | `toCollectionValue(java.lang.Class parameterType, java.lang.Object valueArray)`
`protected java.lang.Byte` | `toConstant(java.lang.String constant, java.lang.String stringValue)`
`protected java.util.Date` | `toDate(java.util.Calendar calendar)`
`protected CalendarDaysType` | `toDaysType(byte daysType)`
`protected byte` | `toDaysType(CalendarDaysType daysType)`
`protected int[]` | `toIntArray(java.util.Set values)`
`protected IntervalUnit` | `toIntervalUnit(java.lang.Byte intervalUnit)`
`protected java.lang.Byte` | `toIntervalUnit(IntervalUnit intervalUnit)`
`protected RuntimeJobState` | `toJobState(byte state)`
`protected java.lang.Object` | `toParameterValue(net.sf.jasperreports.engine.JRParameter parameter, java.lang.Object value)`
`protected ResultSendType` | `toSendType(byte sendType)`
`protected byte` | `toSendType(ResultSendType sendType)`
`Job` | `toServiceBean(ReportJob reportJob)`
`protected JobParameter` | `toServiceParameter(java.lang.String name, java.lang.Object value)`
`JobSummary` | `toServiceSummary(ReportJobSummary reportJob)`
`protected java.lang.String` | `toStringConstant(java.lang.String constant, byte value)`
`protected java.lang.String` | `toStringConstant(java.lang.String constant, java.lang.Byte value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONSTANT_OUTPUT_FORMAT

    public static final java.lang.String CONSTANT_OUTPUT_FORMAT

See Also:
  Constant Field Values

### CONSTANT_INTERVAL_UNIT

    public static final java.lang.String CONSTANT_INTERVAL_UNIT

See Also:
  Constant Field Values

### CONSTANT_CALENDAR_DAYS_TYPE

    public static final java.lang.String CONSTANT_CALENDAR_DAYS_TYPE

See Also:
  Constant Field Values

### CONSTANT_RESULT_SEND_TYPE

    public static final java.lang.String CONSTANT_RESULT_SEND_TYPE

See Also:
  Constant Field Values

### CONSTANT_RUNTIME_JOB_STATE

    public static final java.lang.String CONSTANT_RUNTIME_JOB_STATE

See Also:
  Constant Field Values

Constructor Detail

### ReportJobBeanTraslator

    public ReportJobBeanTraslator()

Method Detail

### getEngine

    public EngineService getEngine()

### setEngine

    public void setEngine(EngineService engine)

### getTimezones

    public TimeZonesList getTimezones()

### setTimezones

    public void setTimezones(TimeZonesList timezones)

### getConstantMappings

    public java.util.Map getConstantMappings()

### setConstantMappings

    public void setConstantMappings(java.util.Map constantMappings)

### toStringConstant

    protected java.lang.String toStringConstant(java.lang.String constant,
                                                byte value)

### toStringConstant

    protected java.lang.String toStringConstant(java.lang.String constant,
                                                java.lang.Byte value)

### toConstant

    protected java.lang.Byte toConstant(java.lang.String constant,
                                        java.lang.String stringValue)

### toServiceBean

    public Job toServiceBean(ReportJob reportJob)

### copyTrigger

    protected void copyTrigger(Job job,
                               ReportJob reportJob)

### copySimpleTrigger

    protected void copySimpleTrigger(Job job,
                                     ReportJobSimpleTrigger reportTrigger)

### copyCalendarTrigger

    protected void copyCalendarTrigger(Job job,
                                       ReportJobCalendarTrigger reportTrigger)

### toIntArray

    protected int[] toIntArray(java.util.Set values)

### toByteSet

    protected java.util.SortedSet toByteSet(int[] values)

### copyBaseTrigger

    protected void copyBaseTrigger(JobTrigger trigger,
                                   ReportJobTrigger reportTrigger)

### copyParameters

    protected void copyParameters(Job job,
                                  ReportJob reportJob)

### toServiceParameter

    protected JobParameter toServiceParameter(java.lang.String name,
                                              java.lang.Object value)

### copyOutputFormats

    protected void copyOutputFormats(Job job,
                                     ReportJob reportJob)

### copyRepositoryDestination

    protected void copyRepositoryDestination(Job job,
                                             ReportJob reportJob)

### copyMailNotification

    protected void copyMailNotification(Job job,
                                        ReportJob reportJob)

### copy

    public void copy(ReportJob reportJob,
                     Job job)

### copyParameters

    protected void copyParameters(ReportJob reportJob,
                                  Job job)

### getJobReport

    protected net.sf.jasperreports.engine.JasperReport getJobReport(Job job)

### findParameter

    protected net.sf.jasperreports.engine.JRParameter findParameter(net.sf.jasperreports.engine.JasperReport jasperReport,
                                                                    java.lang.String paramName)

### toParameterValue

    protected java.lang.Object toParameterValue(net.sf.jasperreports.engine.JRParameter parameter,
                                                java.lang.Object value)

### toCollectionValue

    protected java.lang.Object toCollectionValue(java.lang.Class parameterType,
                                                 java.lang.Object valueArray)

### copyTrigger

    protected void copyTrigger(ReportJob reportJob,
                               Job job)

### copySimpleTrigger

    protected void copySimpleTrigger(ReportJob reportJob,
                                     JobSimpleTrigger trigger)

### copyCalendarTrigger

    protected void copyCalendarTrigger(ReportJob reportJob,
                                       JobCalendarTrigger trigger)

### copyBaseTrigger

    protected void copyBaseTrigger(ReportJobTrigger reportTrigger,
                                   JobTrigger trigger)

### copyOutputFormats

    protected void copyOutputFormats(ReportJob reportJob,
                                     Job job)

### copyRepositoryDestination

    protected void copyRepositoryDestination(ReportJob reportJob,
                                             Job job)

### copyMailNotification

    protected void copyMailNotification(ReportJob reportJob,
                                        Job job)

### toServiceSummary

    public JobSummary toServiceSummary(ReportJobSummary reportJob)

### toDate

    protected java.util.Date toDate(java.util.Calendar calendar)

### toCalendar

    protected java.util.Calendar toCalendar(java.util.Date date)

### toIntervalUnit

    protected IntervalUnit toIntervalUnit(java.lang.Byte intervalUnit)

### toIntervalUnit

    protected java.lang.Byte toIntervalUnit(IntervalUnit intervalUnit)

### toDaysType

    protected CalendarDaysType toDaysType(byte daysType)

### toDaysType

    protected byte toDaysType(CalendarDaysType daysType)

### toSendType

    protected ResultSendType toSendType(byte sendType)

### toSendType

    protected byte toSendType(ResultSendType sendType)

### toJobState

    protected RuntimeJobState toJobState(byte state)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.